services:
  app:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: baron-orgchart
    ports:
      - "5175:5175"
    environment:
      - APP_ENV=development
      - VITE_OIDC_AUTHORITY=http://localhost:5000/oidc
      - VITE_OIDC_CLIENT_ID=orgfront
      - VITE_API_URL=http://localhost:5000/api
      - API_PROXY_TARGET=http://localhost:5000
    volumes:
      - .:/app
      - /app/node_modules
    stdin_open: true
    tty: true
